Loading...
Searching...
No Matches
init.c File Reference

Display Driver - initialization. More...

`#include <grass/config.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <grass/gis.h>`
`#include <grass/fontcap.h>`
`#include "driverlib.h"`
`#include "driver.h"`
Include dependency graph for driver/init.c:

Go to the source code of this file.

## Functions

void | LIB_init (const struct driver *drv)
| Initialize display driver.

## Variables

const struct driver * | driver
struct GFONT_CAP * | ftcap
int | screen_width
int | screen_height
double | cur_x
double | cur_y
double | text_size_x
double | text_size_y
double | text_rotation
double | text_sinrot
double | text_cosrot
int | matrix_valid

## Detailed Description

Display Driver - initialization.

(C) 2006-2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Glynn Clements <glynn gclements.plus.com> (original contributor)
  Huidae Cho <grass4u gmail.com>

Definition in file driver/init.c.

## Function Documentation

## LIB_init()

void LIB_init | ( | const struct driver * | drv | ) |

Initialize display driver.

Parameters

  drv | pointer to driver structure

Definition at line 47 of file driver/init.c.

References COM_Graph_set(), COM_Set_window(), DEF_HEIGHT, DEF_WIDTH, ftcap, parse_fontcap(), screen_height, and screen_width.

## Variable Documentation

## cur_x

double cur_x

Definition at line 32 of file driver/init.c.

Referenced by BM_get_sparse(), BM_set_sparse(), Cairo_Bitmap(), Cairo_Text(), Cairo_text_box(), COM_Pos_abs(), get_text_ext_freetype(), PNG_draw_bitmap(), PS_Bitmap(), soft_text_freetype(), write_cube(), and write_cube_buffer().

## cur_y

double cur_y

Definition at line 33 of file driver/init.c.

Referenced by Cairo_Bitmap(), Cairo_Text(), Cairo_text_box(), COM_Pos_abs(), get_text_ext_freetype(), PNG_draw_bitmap(), PS_Bitmap(), and soft_text_freetype().

## driver

const struct driver* driver

Definition at line 25 of file driver/init.c.

## ftcap

struct GFONT_CAP* ftcap

Definition at line 27 of file driver/init.c.

Referenced by COM_Set_font(), free_fontcap(), and LIB_init().

## matrix_valid

int matrix_valid

Definition at line 40 of file driver/init.c.

Referenced by COM_Text_rotation(), and COM_Text_size().

## screen_height

int screen_height

Definition at line 30 of file driver/init.c.

Referenced by HTML_Graph_close(), HTML_Graph_set(), LIB_init(), PNG_Graph_set(), and PS_Graph_set().

## screen_width

int screen_width

Definition at line 29 of file driver/init.c.

Referenced by G_ls_format(), HTML_Graph_close(), HTML_Graph_set(), LIB_init(), PNG_Graph_set(), and PS_Graph_set().

## text_cosrot

double text_cosrot

Definition at line 39 of file driver/init.c.

Referenced by COM_Text_rotation().

## text_rotation

double text_rotation

Definition at line 37 of file driver/init.c.

Referenced by COM_Text_rotation().

## text_sinrot

double text_sinrot

Definition at line 38 of file driver/init.c.

Referenced by COM_Text_rotation().

## text_size_x

double text_size_x

Definition at line 35 of file driver/init.c.

Referenced by COM_Text_size().

## text_size_y

double text_size_y

Definition at line 36 of file driver/init.c.

Referenced by COM_Text_size().